diff -Nau cifs-new/cifsfs.c cifs-new1/cifsfs.c
--- cifs-new/cifsfs.c	2005-03-03 01:32:12.647849152 -0600
+++ cifs-new1/cifsfs.c	2005-03-03 01:37:37.854410240 -0600
@@ -212,7 +212,7 @@
 		on the client (above and beyond ACL on servers) for  
 		servers which do not support setting and viewing mode bits,
 		so allowing client to check permissions is useful */ 
-		return generic_permission(inode, mask, NULL);
+		return vfs_permission(inode, mask);
 }
 
 static kmem_cache_t *cifs_inode_cachep;
diff -Nau cifs-new/file.c cifs-new1/file.c
--- cifs-new/file.c	2005-03-03 01:32:12.693842160 -0600
+++ cifs-new1/file.c	2005-03-03 01:42:00.432492304 -0600
@@ -595,8 +595,6 @@
 			 netfid, length,
 			 pfLock->fl_start, numUnlock, numLock, lockType,
 			 wait_flag);
-	if (rc == 0 && (pfLock->fl_flags & FL_POSIX))
-		posix_lock_file_wait(file, pfLock);
 	FreeXid(xid);
 	return rc;
 }
@@ -708,8 +706,7 @@
 	if(file->f_dentry) {
 		if(file->f_dentry->d_inode) {
 			struct inode *inode = file->f_dentry->d_inode;
-			inode->i_ctime = inode->i_mtime =
-				current_fs_time(inode->i_sb);
+			inode->i_ctime = inode->i_mtime = CURRENT_TIME;
 			if (total_written > 0) {
 				if (*poffset > file->f_dentry->d_inode->i_size)
 					i_size_write(file->f_dentry->d_inode, *poffset);
@@ -902,7 +899,7 @@
 					to-from, &offset);
 			read_lock(&GlobalSMBSeslock);
 		/* Does mm or vfs already set times? */
-			inode->i_atime = inode->i_mtime = current_fs_time(inode->i_sb);
+			inode->i_atime = inode->i_mtime = CURRENT_TIME;
 			if ((bytes_written > 0) && (offset)) {
 				rc = 0;
 			} else if(bytes_written < 0) {
@@ -1499,8 +1496,7 @@
 		cFYI(1,("Bytes read %d ",rc));
 	}
                                                                                                                            
-	file->f_dentry->d_inode->i_atime =
-		current_fs_time(file->f_dentry->d_inode->i_sb);
+	file->f_dentry->d_inode->i_atime = CURRENT_TIME;
                                                                                                                            
 	if(PAGE_CACHE_SIZE > rc) {
 		memset(read_data+rc, 0, PAGE_CACHE_SIZE - rc);
diff -Nau cifs-new/inode.c cifs-new1/inode.c
--- cifs-new/inode.c	2005-03-03 01:32:12.693842160 -0600
+++ cifs-new1/inode.c	2005-03-03 01:42:42.917033672 -0600
@@ -451,7 +451,7 @@
 	cifsInode = CIFS_I(direntry->d_inode);
 	cifsInode->time = 0;	/* will force revalidate to get info when needed */
 	direntry->d_inode->i_ctime = inode->i_ctime = inode->i_mtime =
-	    current_fs_time(inode->i_sb);
+	    CURRENT_TIME;
 	cifsInode = CIFS_I(inode);
 	cifsInode->time = 0;	/* force revalidate of dir as well */
 
@@ -564,7 +564,7 @@
 	cifsInode = CIFS_I(direntry->d_inode);
 	cifsInode->time = 0;	/* force revalidate to go get info when needed */
 	direntry->d_inode->i_ctime = inode->i_ctime = inode->i_mtime =
-	    current_fs_time(inode->i_sb);
+	    CURRENT_TIME;
 
 	if (full_path)
 		kfree(full_path);
Common subdirectories: cifs-new/.tmp_versions and cifs-new1/.tmp_versions
